from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField
from wtforms.fields.html5 import DateField
from wtforms.validators import DataRequired, Optional

# TODO: compléter le formulaire de recherche avancée
class AdvancedSearchForm(FlaskForm):
    q = StringField('Rechercher :', validators=[DataRequired()])
    date = DateField('Date', validators=[Optional()])
    submit = SubmitField('Affiner la recherche')

class SearchForm(FlaskForm):
    q = StringField('Rechercher', validators=[DataRequired()])
    